path: /build/build/telegram-desktop-bin-net-im-5.14.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} net-im/telegram-desktop-bin -pv -t && \
    emerge -j ${JOBS} --nodeps net-im/telegram-desktop-bin
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/telegram-desktop-bin && luet-portage
    --dir /pkgdir/telegram-desktop-bin net-im/telegram-desktop-bin && eval 'rm -v
    /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:fa25053d8e1eacd11fbea1d7fb38d6bb80062aaf1888d34df7f531db56ec1990
  package:
    name: telegram-desktop-bin
    version: 5.14.3
    category: net-im
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Official desktop client for Telegram (binary package)
    uri:
    - https://desktop.telegram.org
    license: GPL-3-with-openssl-exception
    buildtimestamp: 2025-05-29 22:01:31.484609433 +0000 UTC m=+187.177594490
    labels:
      DEPEND: dev-util/desktop-file-utils x11-misc/shared-mime-info
      RDEPEND: dev-libs/glib:2 dev-libs/gobject-introspection >=media-libs/fontconfig-2.13
        >=sys-apps/dbus-1.4.20 x11-libs/libX11 >=x11-libs/libxcb-1.10[xkb]
      emerge.packages: net-im/telegram-desktop-bin
      kit: desktop-kit
      original.package.name: net-im/telegram-desktop-bin
      original.package.slot: "0"
      original.package.version: 5.14.3
    treedir: /build/packages
  package_dir: /pkgdir/telegram-desktop-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 51402e9ad84e9a693b07f5dcbfcbaa9b4f7211dafacdf1ebc3c68e36987befe1
compressiontype: zstd
files:
- usr/bin/telegram-desktop
- usr/lib/telegram-desktop-bin/Telegram
- usr/share/applications/org.telegram.desktop.desktop
- usr/share/icons/hicolor/128x128/apps/telegram.png
- usr/share/icons/hicolor/16x16/apps/telegram.png
- usr/share/icons/hicolor/256x256/apps/telegram.png
- usr/share/icons/hicolor/32x32/apps/telegram.png
- usr/share/icons/hicolor/512x512/apps/telegram.png
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/BUILD_TIME
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/CATEGORY
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/CBUILD
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/CFLAGS
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/CHOST
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/CONTENTS
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/COUNTER
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/CTARGET
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/CXX
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/CXXFLAGS
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/DEFINED_PHASES
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/DEPEND
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/DESCRIPTION
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/EAPI
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/FEATURES
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/HOMEPAGE
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/INHERITED
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/IUSE
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/IUSE_EFFECTIVE
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/KEYWORDS
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/LDFLAGS
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/LICENSE
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/NEEDED
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/NEEDED.ELF.2
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/PF
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/QA_PREBUILT
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/RDEPEND
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/REQUIRES
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/SIZE
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/SLOT
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/USE
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/environment.bz2
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/repository
- var/db/pkg/net-im/telegram-desktop-bin-5.14.3/telegram-desktop-bin-5.14.3.ebuild
package_cacheimage: ""
runtime:
  name: telegram-desktop-bin
  version: 5.14.3
  category: net-im
  requires:
  - name: gobject-introspection
    version: '>=0'
    category: dev-libs
  - name: fontconfig
    version: '>=0'
    category: media-libs-1.0
  - name: dbus
    version: '>=0'
    category: sys-apps
  - name: libX11
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Official desktop client for Telegram (binary package)
  uri:
  - https://desktop.telegram.org
  license: GPL-3-with-openssl-exception
  labels:
    DEPEND: dev-util/desktop-file-utils x11-misc/shared-mime-info
    RDEPEND: dev-libs/glib:2 dev-libs/gobject-introspection >=media-libs/fontconfig-2.13
      >=sys-apps/dbus-1.4.20 x11-libs/libX11 >=x11-libs/libxcb-1.10[xkb]
    emerge.packages: net-im/telegram-desktop-bin
    kit: desktop-kit
    original.package.name: net-im/telegram-desktop-bin
    original.package.slot: "0"
    original.package.version: 5.14.3
